- Qt 5.5
- Qt Multimedia Widgets
- C++ Classes
- QGraphicsVideoItem
- Qt 5.5.1 Reference Documentation

# QGraphicsVideoItem Class

The QGraphicsVideoItem class provides a graphics item which display video produced by a QMediaObject. More...

Header: | #include <QGraphicsVideoItem>
qmake: | QT += multimediawidgets
Inherits: |

- List of all members, including inherited members

## Properties

aspectRatioMode : Qt::AspectRatioMode mediaObject : QMediaObject * const nativeSize : const QSizeF | offset : QPointF size : QSizeF

## Public Functions

| QGraphicsVideoItem(QGraphicsItem * parent = 0)
| ~QGraphicsVideoItem()
Qt::AspectRatioMode | aspectRatioMode() const
QRectF | boundingRect() const
QMediaObject * | mediaObject() const
QSizeF | nativeSize() const
QPointF | offset() const
void | paint(QPainter * painter, const QStyleOptionGraphicsItem * option, QWidget * widget = 0)
void | setAspectRatioMode(Qt::AspectRatioMode mode)
void | setOffset(const QPointF & offset)
void | setSize(const QSizeF & size)
QSizeF | size() const

## Signals

void | nativeSizeChanged(const QSizeF & size)

## Detailed Description

The QGraphicsVideoItem class provides a graphics item which display video produced by a QMediaObject.

Attaching a QGraphicsVideoItem to a QMediaObject allows it to display the video or image output of that media object. A QGraphicsVideoItem is attached to a media object by passing a pointer to the QMediaObject to the setMediaObject() function.

    player = new QMediaPlayer(this);

    QGraphicsVideoItem *item = new QGraphicsVideoItem;
    player->setVideoOutput(item);
    graphicsView->scene()->addItem(item);
    graphicsView->show();

    player->setMedia(QUrl("http://example.com/myclip4.ogv"));
    player->play();

Note: Only a single display output can be attached to a media object at one time.

See also QMediaObject, QMediaPlayer, and QVideoWidget.

## Property Documentation

### aspectRatioMode : Qt::AspectRatioMode

This property holds how a video is scaled to fit the graphics item's size.

Access functions:

Qt::AspectRatioMode | aspectRatioMode() const
void | setAspectRatioMode(Qt::AspectRatioMode mode)

### mediaObject : QMediaObject * const

This property holds the media object which provides the video displayed by a graphics item.

Access functions:

QMediaObject * | mediaObject() const

### nativeSize : const QSizeF

This property holds the native size of the video.

Access functions:

QSizeF | nativeSize() const

Notifier signal:

void | nativeSizeChanged(const QSizeF & size)

### offset : QPointF

This property holds the video item's offset.

QGraphicsVideoItem will draw video using the offset for its top left corner.

Access functions:

QPointF | offset() const
void | setOffset(const QPointF & offset)

### size : QSizeF

This property holds the video item's size.

QGraphicsVideoItem will draw video scaled to fit size according to its fillMode.

Access functions:

QSizeF | size() const
void | setSize(const QSizeF & size)

## Member Function Documentation

### QGraphicsVideoItem::QGraphicsVideoItem(QGraphicsItem * parent = 0)

Constructs a graphics item that displays video.

The parent is passed to QGraphicsItem.

### QGraphicsVideoItem::~QGraphicsVideoItem()

Destroys a video graphics item.

### QRectF QGraphicsVideoItem::boundingRect() const

### void QGraphicsVideoItem::paint(QPainter * painter, const QStyleOptionGraphicsItem * option, QWidget * widget = 0)